Bug 290471 - [Indic] [evolution-mail] Backspace and Undo not functioning properly
[Indic] [evolution-mail] Backspace and Undo not functioning properly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 03:18 EDT by A S Alam
Modified: 2013-07-02 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 14:04:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2007-09-14 03:18:21 EDT
Description of problem:
for Indic Langauge, Delete with Backspace having problem with some specific cases.
Somewhere Undo action behaving in most unpermissable and ridiculas way!!


Version-Release number of selected component (if applicable):
evolution-2.11.92-3.fc8
gtkhtml3-3.15.92-1.fc8

How reproducible:
Everytime

Steps to Reproduce:
Login with Oriya Language
2. Open Evolution --> New Mail
3. Go to the message body.
4. Enable SCIM with pressing CTRL+SPACE & choose Oriya inscript IME.
5. write the key sequence : mcdheovj
6. Press left-arrow key 3 times
7. Press backspace 3 times
8. It should delete 'e' 'h' and 'd' only. 
   Its deleting 'c' and specially 'm' also which is a consonant and placing 
   independently not with any conjunct.
9. Now, try with pressing CTRL+z to undo the delete and take back the full word.
10. Its not taking back the full word as before.
(_Please copy to original word and paste once and then try to pasted word,
so make easy to understand_).


Actual results:
It should delete 'e' 'h' and 'd' only. Its deleting 'c' and specially 'm' also
which is a consonant and placing independently not with any conjunct.
Its not taking back the full word as before.


Expected results:
The Delete with backspace should maintain its rule to delete chars or composed
chars within a word. And Undo should revert it back properly in its previous state.

Additional info:
----
ସମ୍ପାଦନର (normal word)
ସପମ୍ଦାନର (after Backspace and Ctrl-Z word)
સમ્પાદનર (normal word)
સપમ્દાનર
সম্পাদনর (normal word)
সপম্দানর
ஸம்பாoநர (normal word)
ஸம்பாoநர

ಸಮ್ಪಾದನರ  (normal word)
ಸಪಮ್ದಾನರ
----
Comment 2 Matthew Barnes 2007-12-04 14:04:54 EST
Bug is still reproducible with GtkHTML 3.17.3.

Moving upstream.  Please see [1] for further updates.

If someone from eng-i18n could contribute a patch for this I'd be grateful.
I'm pretty clueless about this myself.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=501581

Note You need to log in before you can comment on or make changes to this bug.